// XMP Media Management cleaner
// 2011 www.uvsar.com
// Free use and distribution permitted under Creative Commons Attribution 3.0

// This script removes the xmpMM tags from the document's metadata,
// and (if present) the private tag created by Adobe InDesign.
// We don't need to check if the tags exist, as the E4X delete command 
// doesn't throw an exception if the element is missing.
// Remember to save the document after running the script!

function UVSR_RXMPMM(tDoc) {
	var xml = new XML(tDoc.metadata);
	var nsrdf = new Namespace("http://www.w3.org/1999/02/22-rdf-syntax-ns#");
	var nsidp = new Namespace("http://ns.adobe.com/xmp/InDesign/private");
	var nsmm = new Namespace("http://ns.adobe.com/xap/1.0/mm/");
	delete xml.nsrdf::RDF.nsrdf::Description.nsmm::History;
	delete xml.nsrdf::RDF.nsrdf::Description.nsmm::Manifest;
	delete xml.nsrdf::RDF.nsrdf::Description.nsmm::DerivedFrom;
	delete xml.nsrdf::RDF.nsrdf::Description.@nsmm::DocumentID;
	delete xml.nsrdf::RDF.nsrdf::Description.@nsmm::OriginalDocumentID;
	delete xml.nsrdf::RDF.nsrdf::Description.@nsmm::RenditionClass;
	delete xml.nsrdf::RDF.nsrdf::Description.@nsmm::InstanceID;
	delete xml.nsrdf::RDF.nsrdf::Description.@nsidp::DocChangeCount;
	try {
		tDoc.metadata = xml.toXMLString();
		app.alert({cMsg:"XMP Media management data removed",nIcon:3,nType:0,oDoc:tDoc,cTitle:"Done"});
	} catch (e) {
		app.alert({cMsg:"Security settings on this file prevent changes",nIcon:1,nType:0,cTitle:"Not Allowed"});
	}
}


var menuParent = (app.viewerVersion<10)? "DocumentProcessing":"Edit";
app.addMenuItem({
		cName:"UVSR_removeXMPMM",
		cUser:"Remove xmpMM data",
		cParent:menuParent,
		cExec:"UVSR_RXMPMM(event.target);",
		cEnable:"event.rc = (event.target != null);",
		nPos:((app.viewerVersion<10)? 0:7) 
		});